# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=3

inherit eutils

DESCRIPTION="Converts pdf files to Ipe xml files"
HOMEPAGE="http://ipe7.sourceforge.net/"
PEXT="${P}-src"
SRC_URI="http://sourceforge.net/projects/ipe7/files%2Ftools%2F${PEXT}.tar.gz/download
		-> ${P}.tar.gz"


LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
RESTRICT="mirror"
IUSE=""
S="${WORKDIR}/${PEXT}"

DEPEND="app-text/poppler
	>=media-gfx/ipe-7.0.0"
RDEPEND="${DEPEND}"


src_prepare() {
	epatch "${FILESDIR}"/poppler-0.18.patch || die
	epatch "${FILESDIR}"/poppler-0.20.patch || die
}

src_compile() {
	emake || die
}

src_install() {
	exeinto /usr/bin/
	doexe $S/pdftoipe
	doman $S/pdftoipe.1
	dodoc $S/readme.txt
}


